5 ms·
You’re checking the return value of the command here. Do you wrap all calls in an if? I believe the author was talking about set -e (often used with -o pipefai
by jerska 2y ago
You’re checking the return value of the command here.
Do you wrap all calls in an if?
I believe the author was talking about set -e (often used with -o pipefail), so that any unhandled error simply exits the script.
- latexr 2y ago> Do you wrap all calls in an if? I don’t need to check the exit status of every command. > I believe the author was talking about set -e (often used with -o pipefail), so that any unhandled error simply exits the script. I have no idea how you could get that impression from the section I quoted. How would setting one option once at the top of the script mean “Requiring the user to manually check $? after each command”?